Package org.gradle.plugins.javascript.coffeescript

## Class CoffeeScriptCompile

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.SourceTask
        - - org.gradle.plugins.javascript.coffeescript.CoffeeScriptCompile

- All Implemented Interfaces:
    `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `PatternFilterable`, `org.gradle.util.Configurable<Task>`
  Direct Known Subclasses:
    `PlayCoffeeScriptCompile`

      public class CoffeeScriptCompile
      extends SourceTask

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CoffeeScriptCompile()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `doCompile()` |
    `FileCollection` | `getCoffeeScriptJs()` |
    `File` | `getDestinationDir()` |
    `protected ObjectFactory` | `getObjectFactory()` |
    `CoffeeScriptCompileOptions` | `getOptions()` |
    `protected ProjectLayout` | `getProjectLayout()` |
    `FileCollection` | `getRhinoClasspath()` |
    `FileTree` | `getSource()` | Returns the source for this task, after the include and exclude patterns have been applied.
    `protected org.gradle.process.internal.worker.WorkerProcessFactory` | `getWorkerProcessBuilderFactory()` |
    `void` | `options​(Closure<?> closure)` |
    `void` | `options​(Action<CoffeeScriptCompileOptions> action)` |
    `void` | `setCoffeeScriptJs​(Object coffeeScriptJs)` |
    `void` | `setCoffeeScriptJs​(FileCollection coffeeScriptJs)` | Sets Coffee Script JavaScript file.
    `void` | `setDestinationDir​(File destinationDir)` | Sets destination directory.
    `void` | `setDestinationDir​(Object destinationDir)` |
    `void` | `setRhinoClasspath​(Object rhinoClasspath)` |
    `void` | `setRhinoClasspath​(FileCollection rhinoClasspath)` | Sets Rhino classpath.

    - ### Methods inherited from class org.gradle.api.tasks.SourceTask

      `exclude, exclude, exclude, exclude, getExcludes, getIncludes, getPatternSetFactory, include, include, include, include, setExcludes, setIncludes, setSource, setSource, source`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getOnlyIf, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, prependParallelSafeAction, replaceLogger, setImpliesSubProjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.api.Task

      `getConvention`

- - ### Constructor Detail

    - #### CoffeeScriptCompile

          public CoffeeScriptCompile()

  - ### Method Detail

    - #### getWorkerProcessBuilderFactory

          @Inject
          protected org.gradle.process.internal.worker.WorkerProcessFactory getWorkerProcessBuilderFactory()

    - #### getProjectLayout

          @Inject
          protected ProjectLayout getProjectLayout()

    - #### getObjectFactory

          @Inject
          protected ObjectFactory getObjectFactory()

    - #### getSource

          @PathSensitive(RELATIVE)
          public FileTree getSource()

      Returns the source for this task, after the include and exclude patterns have been applied. Ignores source files which do not exist.

      The `PathSensitivity` for the sources is configured to be `PathSensitivity.ABSOLUTE`. If your sources are less strict, please change it accordingly by overriding this method in your subclass.

      Overrides:
        `getSource` in class `SourceTask`
      Returns:
        The source.

    - #### getCoffeeScriptJs

          @PathSensitive(RELATIVE)
          @InputFiles
          public FileCollection getCoffeeScriptJs()

    - #### setCoffeeScriptJs

          public void setCoffeeScriptJs​(FileCollection coffeeScriptJs)

      Sets Coffee Script JavaScript file.
      Since:
        4.0

    - #### setCoffeeScriptJs

          public void setCoffeeScriptJs​(Object coffeeScriptJs)

    - #### getRhinoClasspath

          @Classpath
          public FileCollection getRhinoClasspath()

    - #### setRhinoClasspath

          public void setRhinoClasspath​(FileCollection rhinoClasspath)

      Sets Rhino classpath.
      Since:
        4.0

    - #### setRhinoClasspath

          public void setRhinoClasspath​(Object rhinoClasspath)

    - #### getDestinationDir

          @OutputDirectory
          public File getDestinationDir()

    - #### setDestinationDir

          public void setDestinationDir​(File destinationDir)

      Sets destination directory.
      Since:
        4.0

    - #### setDestinationDir

          public void setDestinationDir​(Object destinationDir)

    - #### getOptions

          public CoffeeScriptCompileOptions getOptions()

    - #### options

          public void options​(Action<CoffeeScriptCompileOptions> action)

    - #### options

          public void options​(Closure<?> closure)

    - #### doCompile

          public void doCompile()